CDN

Update Rule

patch/cdn/zones/{zone_uuid}/rules/{rule_uuid}

Update a rule.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string
rule_uuid*string

Request body

Update a CDN rule

application/jsonRequired
name?string | null
Range1 ≤ length ≤ 100
priority?integer | null
Range1 ≤ value ≤ 10000
match_conditions?record<string, any> | null
action_config?record<string, any> | null
enabled?boolean | null
expires_at?string | null
Formatdate-time

Responses

Successful Response

application/json

uuid*string
detail*string